/**
 * All of the block payload types.
 */
declare enum PayloadType {
    /** A tagged data payload. */
    TaggedData = 0,
    /** A signed transaction payload. */
    SignedTransaction = 1,
    /** A candidacy announcement payload. */
    CandidacyAnnouncement = 2
}
/**
 * The base class for block payloads.
 */
declare abstract class Payload {
    /**
     * The type of payload.
     */
    readonly type: PayloadType;
    /**
     * @param type The type of payload.
     */
    constructor(type: PayloadType);
}
export { PayloadType, Payload };
